{
  "schema_version": 2,
  "id": "operate/rs/references/rest-api/requests/users/refresh_jwt",
  "title": "Refresh JWT requests",
  "url": "https://redis.io/docs/latest/operate/rs/references/rest-api/requests/users/refresh_jwt/",
  "summary": "Refresh JW token requests",
  "tags": [
    "docs",
    "operate",
    "rs"
  ],
  "last_updated": "2025-03-10T13:08:54-04:00",
  "page_type": "content",
  "content_hash": "a2fdfe7d4bebfe99c183ca9adced0262e7afa1388e3c5a45b2615c3f4d2bf81a",
  "sections": [
    {
      "id": "overview",
      "title": "Overview",
      "role": "overview",
      "text": "| Method | Path | Description |\n|--------|------|-------------|\n| [POST](#post-refresh_jwt) | `/v1/users/refresh_jwt` | Get a new authentication token |"
    },
    {
      "id": "post-refresh_jwt",
      "title": "Get a new authentication token",
      "role": "content",
      "text": "POST /v1/users/refresh_jwt\n\nGenerate a new JSON Web Token (JWT) for authentication.\n\nTakes a valid token and returns the new token generated by the request."
    },
    {
      "id": "post-request",
      "title": "Request",
      "role": "content",
      "text": "#### Example HTTP request\n\n\tPOST /v1/users/refresh_jwt \n\n#### Request headers\n\n| Key | Value | Description |\n|-----|-------|-------------|\n| Host | cnm.cluster.fqdn | Domain name |\n| Authorization | JWT eyJ5bGciOiKIUzI1NiIsInR5cCI6IkpXVCJ9.<br></br>eyJpYXViOjE0NjU0NzU0ODYsInVpZFI1IjEiLCJ<br></br>leHAiOjE0NjU0Nz30OTZ9.2xYXumd1rDoE0e<br></br>dFzcLElMOHsshaqQk2HUNgdsUKxMU | Valid JSON Web Token (JWT) |\n\n#### Request body\n\n| Field | Type | Description |\n|-------|------|-------------|\n| ttl | integer | Time to live - The amount of time in seconds the token will be valid (optional) |"
    },
    {
      "id": "post-response",
      "title": "Response",
      "role": "returns",
      "text": "Returns a JSON object that contains the generated access token.\n\n#### Example JSON body\n\n[code example]"
    },
    {
      "id": "post-status-codes",
      "title": "Status codes",
      "role": "content",
      "text": "| Code | Description |\n|------|-------------|\n| [200 OK](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1) | A new token is given. |\n| [401 Unauthorized](http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.2) | The token is invalid or password has expired. |"
    }
  ],
  "examples": [
    {
      "id": "post-response-ex0",
      "language": "json",
      "code": "{\n     \"access_token\": \"eyJ5bGciOiKIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYXViOjE0NjU0NzU0ODYsInVpZFI1IjEiLCJleHAiOjE0NjU0Nz30OTZ9.2xYXumd1rDoE0edFzcLElMOHsshaqQk2HUNgdsUKxMU\"\n }",
      "section_id": "post-response"
    }
  ]
}
